io.siddhi.extension.execution.map

## Class MapState

- java.lang.Object
- - io.siddhi.core.util.snapshot.state.State
  - - io.siddhi.extension.execution.map.MapState

-     public class MapState
      extends io.siddhi.core.util.snapshot.state.State

  State to be kept for map:collect() and map:merge()

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapState()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAll(Map<Object,Object> map)`
    `void` | `addEntry(Object key, Object value)`
    `boolean` | `canDestroy()`
    `Map<Object,Object>` | `getDataMapClone()`
    `void` | `removeAll(Map<Object,Object> map)`
    `void` | `removeEntry(Object key)`
    `void` | `restore(Map<String,Object> state)`
    `void` | `setDataMap(Map<Object,Object> dataMap)`
    `Map<String,Object>` | `snapshot()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapState

          public MapState()

  - ### Method Detail

    - #### canDestroy

          public boolean canDestroy()

      Specified by:
        `canDestroy` in class `io.siddhi.core.util.snapshot.state.State`

    - #### snapshot

          public Map<String,Object> snapshot()

      Specified by:
        `snapshot` in class `io.siddhi.core.util.snapshot.state.State`

    - #### restore

          public void restore(Map<String,Object> state)

      Specified by:
        `restore` in class `io.siddhi.core.util.snapshot.state.State`

    - #### setDataMap

          public void setDataMap(Map<Object,Object> dataMap)

    - #### addEntry

          public void addEntry(Object key,
                               Object value)

    - #### removeEntry

          public void removeEntry(Object key)

    - #### addAll

          public void addAll(Map<Object,Object> map)

    - #### removeAll

          public void removeAll(Map<Object,Object> map)

    - #### getDataMapClone

          public Map<Object,Object> getDataMapClone()

Copyright © 2022 WSO2. All rights reserved.